Subject: bug#21650: 24.5; mh-e keeps trying to open urls

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Oct 2015 22:20:31 +0300

> From: Simon Gerraty <[email-masked]>
> Date: Thu, 8 Oct 2015 10:03:17 -0700
> 
> I've used MH and Emacs to read the insane quatitites of mail I get
> for many years.
> 
> With latest upgrade, I now get rubbish like:
> 
> Opening TLS connection with `gnutls-cli --insecure -p 443 ...
> 
> Which I certainly do not want (else I'd be using a browser to read mail).
> ^G won't stop it and a 2nd ^G makes emacs want to core dump!
> 
> After googling a bit I set
> 
> (setq starttls-use-gnutls nil)
> (setq mm-discouraged-alternatives '("text/html" "text/richtext"))
> 
> but it is still doing it.
> 
> How do I tell Emacs that under absolutely no circumstances do I want it
> to do this?

What exactly is that "this" that you don't want Emacs to do?  It's
hard to help without understanding which part of what you described is
the problem.  (Maybe it's because I don't use MH-E; but TLS
connections are in Emacs core, not in MH-E, which just uses it.)

Thanks.